Performancing Metrics

WordPress and PHP 5

Ryan Boren has put up a post pertaining to WordPress and the fact that it has not adopted PHP 5, despite the fact that PHP is now at version 5.2.2.

Nick Lewis, Larry Garfield, and Dries Buytaert are discussing the slow rate of PHP 5 adoption and how projects such as Drupal and WordPress should help encourage PHP 5 uptake by phasing out support for PHP 4. WordPress currently supports PHP 4.2 or greater. We don’t even use functionality that was introduced in PHP 4.3. Whenever we accidentally use a PHP function present only in 4.3 or greater during our development cycles, we get a fair number of complaints from testers who don’t have 4.3. PHP 4 is thoroughly entrenched. If we were to change WordPress to require PHP 5 right now, we would abandon the majority of our users. Given the current state of affairs, requiring PHP 5 in the near future would seriously marginalize WordPress.

I totally agree with Ryan on the whole PHP 5 thing, as I have a variety of web hosts, and not even half of them are supporting PHP 5 yet. Some plan on doing it soon, and others tried and failed. It is just one of those things where you have to laugh because applications don’t support PHP 5, so people don’t really need it, and thus hosts don’t install it or support it. Because hosts don’t support it, applications don’t program for it, and the whole cycle starts again, with no progression.

Ryan solves this issue by asking the PHP group to create an end of life date for PHP 4, forcing hosts to go ahead and make the transition, which will then require application developers to make the change as well.

If PHP is the chicken and applications are the eggs, I say the chicken gets to go first.

Check out Boren.nu for more details.

Categories: WordPress News

This post was written by . You can visit the for a short bio, more posts, and other information about the author.

Comment with Your Facebook Account

Comments

  1. metal says: 5/15/2007

    i thank php4 is all ok ….there are lots of problem during update to php5

    Reply

  2. Damien Seguy says: 5/15/2007

    You have your deadline now : PHP 4 support will end by the end of 2007. See it on Derick Rethans home page.

    Reply

Current ye@r *